From 4956e7fb585079270eb202ae9553a4e7eec1d8ea Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Wed, 10 Jul 2019 15:31:21 +0700
Subject: [PATCH] xbps-src: redirect various error msg to stderr

---
 xbps-src | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/xbps-src b/xbps-src
index 23d6164b18a..9fbdf4aec01 100755
--- a/xbps-src
+++ b/xbps-src
@@ -214,7 +214,7 @@ check_reqhost_utils() {
 
     for f in ${REQHOST_UTILS}; do
         if ! command -v ${f} &>/dev/null; then
-            echo "${f} is missing in your system, can't continue!"
+            echo "${f} is missing in your system, can't continue!" 1>&2
             broken=1
         fi
     done
@@ -223,7 +223,7 @@ check_reqhost_utils() {
 
     for f in ${REQHOST_UTILS_BOOTSTRAP}; do
         if ! command -v ${f} &>/dev/null; then
-            echo "${f} is missing in your system, can't continue!"
+            echo "${f} is missing in your system, can't continue!" 1>&2
             broken=1
         fi
     done
@@ -242,7 +242,7 @@ check_config_vars() {
         [ ! -d $XBPS_HOSTDIR ] && mkdir -p $XBPS_HOSTDIR
     fi
     if [ -d "$XBPS_MASTERDIR" -a ! -w "$XBPS_MASTERDIR" ]; then
-        echo "ERROR: not enough perms for masterdir $XBPS_MASTERDIR."
+        echo "ERROR: not enough perms for masterdir $XBPS_MASTERDIR." 1>&2
         exit 1
     fi
 }
@@ -257,8 +257,8 @@ check_build_requirements() {
     if [ -z "$found" ]; then
         xbps-uhelper cmpver "$XBPS_VERSION" "$XBPS_VERSION_REQ"
         if [ $? -eq 255 ]; then
-            echo "ERROR: requires xbps>=${XBPS_VERSION_REQ}"
-            echo "Bootstrap packages must be updated with 'xbps-src bootstrap-update'"
+            echo "ERROR: requires xbps>=${XBPS_VERSION_REQ}" 1>&2
+            echo "Bootstrap packages must be updated with 'xbps-src bootstrap-update'" 1>&2
             exit 1
         fi
     fi
@@ -462,7 +462,7 @@ if command -v chroot-git &>/dev/null; then
 elif command -v git &>/dev/null; then
 	XBPS_GIT_CMD=$(command -v git)
 else
-    echo "neither chroot-git or git are available in your system!"
+    echo "neither chroot-git or git are available in your system!" 1>&2
     exit 1
 fi
 
